=== tests/manual/with space/CMakeLists.txt ===
add_executable("my binary" "my binary.cpp")
