=== debian/changelog ===
heaptrack (1.3.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Check whether testbed has zstd installed before
      assuming output file format.

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Jan 2022 11:47:08 +0000

heaptrack (1.3.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * [3904e08] Add upstream GPG signing key
  * [856ed9d] Switch watch file to the canonical tarballs
  * [f99d75c] Remove d/scripts/get_orig_src.sh, no more needed now

  [ Anton Gladky ]
  * [d32ea41] New upstream version 1.3.0
  * [fa46f6b] Update patch
  * [be7a8fa] Update gitlab-ci
  * [025cb91] Bump debhelper from old 12 to 13.
  * [6c2a01a] Set upstream metadata fields: Repository, Repository-Browse.
  * [d0f8508] Update standards version to 4.6.0, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Wed, 29 Dec 2021 20:09:05 +0100

heaptrack (1.2.0-1ubuntu1) impish; urgency=medium

  * debian/tests: Check whether testbed has zstd installed before
    assuming output file format.

 -- Rik Mills <rikmills@kde.org>  Sat, 19 Jun 2021 11:29:28 +0100

heaptrack (1.2.0-1build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:07:11 +0100
