=== debian/watch ===
version=4
https://download.kde.org/stable/heaptrack/([\d.]+)/@PACKAGE@-([\d.]+)\.tar\.xz
