## heaptrack 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,9 +14,9 @@
 endif()
 
 set(HEAPTRACK_VERSION_MAJOR 1)
-set(HEAPTRACK_VERSION_MINOR 3)
+set(HEAPTRACK_VERSION_MINOR 4)
 set(HEAPTRACK_VERSION_PATCH 0)
-set(HEAPTRACK_LIB_VERSION 1.3.0)
+set(HEAPTRACK_LIB_VERSION 1.4.0)
 set(HEAPTRACK_LIB_SOVERSION 2)
 set(HEAPTRACK_FILE_FORMAT_VERSION 3)
 
@@ -169,7 +169,8 @@
 add_subdirectory(src)
 add_subdirectory(tests)
 
+# Let releaseme know about this:
+# SKIP_PO_INSTALL
+# (KF5I18n is optional in src/analyze/CMakeLists.txt...)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
