=== 3rdparty/libbacktrace/CMakeLists.txt ===
--- 
+++ 
@@ -30,8 +30,6 @@
 # STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
 # IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.  */
-
-cmake_minimum_required (VERSION 2.8)
 
 project (libbacktrace)
