=== src/analyze/CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,9 @@
             find_package(KF5 ${REQUIRED_IN_APPIMAGE} COMPONENTS CoreAddons I18n ItemModels ThreadWeaver ConfigWidgets KIO IconThemes)
             find_package(KChart ${REQUIRED_IN_APPIMAGE} "2.6.0")
             set_package_properties(KChart PROPERTIES TYPE RECOMMENDED PURPOSE "Required for the heaptrack_gui executable. Get it from the kdiagram module.")
+        if(KF5I18n_FOUND)
+            ki18n_install(../../po)
+        endif()
     endif()
 endif()
