=== debian/changelog ===
heaptrack (1.4.0-3ubuntu3) noble; urgency=medium

  * Update fix_ftbfs_gcc-13.patch with more comprehensive fix from
    upsteam git.

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Dec 2023 13:35:55 +0000

heaptrack (1.4.0-3ubuntu2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:28 +0100

heaptrack (1.4.0-3ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Check whether testbed has zstd installed before
      assuming output file format.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 Sep 2023 15:15:47 +0100

heaptrack (1.4.0-3) unstable; urgency=medium

  * [69ac2b2] Disable tst_trace test, fails on arm64

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Sep 2023 19:11:02 +0200

heaptrack (1.4.0-2.1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Check whether testbed has zstd installed before
      assuming output file format.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Sep 2023 18:36:00 +0100

heaptrack (1.4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/fix_ftbfs_gcc-13.patch: New. Fix FTBFS with gcc-13.
    Thanks to Heiko Becker (Closes: #1037688).

 -- Marcos Talau <talau@debian.org>  Thu, 07 Sep 2023 13:48:39 +0530

heaptrack (1.4.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Check whether testbed has zstd installed before
      assuming output file format.

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Nov 2022 06:04:47 +0000

heaptrack (1.4.0-2) unstable; urgency=medium

  [ Christian Göttsche ]
  * [8e471bc] d/control: specify Rules-Requires-Root no
  * [f67042b] d/rules: enable hardening
  * [c399e4d] d/rules: enable LTO

  [ Anton Gladky ]
  * [2aa7315] Fix autopkgtests

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Nov 2022 16:22:23 +0100

heaptrack (1.4.0-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * [e8a65e9] Fix FTCBFS: Build the same way as natively. (Closes: #979280)

  [ Anton Gladky ]
  * [fd99eea] New upstream version 1.4.0
  * [f4e6cdd] Update standards version to 4.6.1, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Oct 2022 21:41:20 +0200
