=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: heaptrack
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: devel
@@ -26,7 +26,8 @@
                zlib1g-dev,
                libzstd-dev,
                libsparsehash-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/heaptrack
 Vcs-Git: https://salsa.debian.org/science-team/heaptrack.git
 Homepage: https://github.com/KDE/heaptrack
